Package ru.bitel.oss.systems.inventory.resource.common

# Enum Class DeviceManagerMethodType

java.lang.Object
java.lang.Enum<DeviceManagerMethodType>
ru.bitel.oss.systems.inventory.resource.common.DeviceManagerMethodType

All Implemented Interfaces:
  `Serializable`, `Comparable<DeviceManagerMethodType>`, `Constable`

public enum DeviceManagerMethodType extends Enum<DeviceManagerMethodType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACCOUNT`
  `CONNECTION`
  `DEVICE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DeviceManagerMethodType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DeviceManagerMethodType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DEVICE

    public static final DeviceManagerMethodType DEVICE

  - ### ACCOUNT

    public static final DeviceManagerMethodType ACCOUNT

  - ### CONNECTION

    public static final DeviceManagerMethodType CONNECTION

- ## Method Details

  - ### values

    public static DeviceManagerMethodType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DeviceManagerMethodType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null